org.apache.cxf.service

## Class ServiceImpl

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.concurrent.ConcurrentHashMap<String,Object>
    - - org.apache.cxf.interceptor.AbstractAttributedInterceptorProvider
      - - org.apache.cxf.service.ServiceImpl

- All Implemented Interfaces:
    Serializable, ConcurrentMap<String,Object>, Map<String,Object>, Configurable, InterceptorProvider, Service

      public class ServiceImpl
      extends AbstractAttributedInterceptorProvider
      implements Service, Configurable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.concurrent.ConcurrentHashMap

      `ConcurrentHashMap.KeySetView<K,V>`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceImpl()`
    `ServiceImpl(List<ServiceInfo> si)`
    `ServiceImpl(ServiceInfo si)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBeanName()` Get the configurable object's Bean name
    `DataBinding` | `getDataBinding()`
    `EndpointInfo` | `getEndpointInfo(QName endpoint)`
    `Map<QName,Endpoint>` | `getEndpoints()`
    `Executor` | `getExecutor()`
    `Invoker` | `getInvoker()`
    `QName` | `getName()`
    `List<ServiceInfo>` | `getServiceInfos()`
    `void` | `setDataBinding(DataBinding dataBinding)`
    `void` | `setEndpoints(Map<QName,Endpoint> endpoints)`
    `void` | `setExecutor(Executor executor)`
    `void` | `setInvoker(Invoker invoker)`
    `void` | `setProperties(Map<String,Object> properties)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.cxf.interceptor.AbstractAttributedInterceptorProvider

      `equals, getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors, hashCode, put, setInFaultInterceptors, setInInterceptors, setOutFaultInterceptors, setOutInterceptors`

    - ### Methods inherited from class java.util.concurrent.ConcurrentHashMap

      `clear, compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, forEach, forEach, forEach, forEachEntry, forEachEntry, forEachKey, forEachKey, forEachValue, forEachValue, get, getOrDefault, isEmpty, keys, keySet, keySet, mappingCount, merge, newKeySet, newKeySet, putAll, putIfAbsent, reduce, reduceEntries, reduceEntries, reduceEntriesToDouble, reduceEntriesToInt, reduceEntriesToLong, reduceKeys, reduceKeys, reduceKeysToDouble, reduceKeysToInt, reduceKeysToLong, reduceToDouble, reduceToInt, reduceToLong, reduceValues, reduceValues, reduceValuesToDouble, reduceValuesToInt, reduceValuesToLong, remove, remove, replace, replace, replaceAll, search, searchEntries, searchKeys, searchValues, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `clone`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `clear, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, equals, forEach, get, getOrDefault, hashCode, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from interface org.apache.cxf.interceptor.InterceptorProvider

      `getInFaultInterceptors, getInInterceptors, getOutFaultInterceptors, getOutInterceptors`

- - ### Constructor Detail

    - #### ServiceImpl

          public ServiceImpl()

    - #### ServiceImpl

          public ServiceImpl(ServiceInfo si)

    - #### ServiceImpl

          public ServiceImpl(List<ServiceInfo> si)

  - ### Method Detail

    - #### getBeanName

          public String getBeanName()

      Description copied from interface: `Configurable`
      Get the configurable object's Bean name
      Specified by:
        `getBeanName` in interface `Configurable`
      Returns:
        the bean name

    - #### getName

          public QName getName()

      Specified by:
        `getName` in interface `Service`

    - #### getServiceInfos

          public List<ServiceInfo> getServiceInfos()

      Specified by:
        `getServiceInfos` in interface `Service`

    - #### getEndpointInfo

          public EndpointInfo getEndpointInfo(QName endpoint)

      Specified by:
        `getEndpointInfo` in interface `Service`

    - #### getExecutor

          public Executor getExecutor()

      Specified by:
        `getExecutor` in interface `Service`

    - #### setExecutor

          public void setExecutor(Executor executor)

      Specified by:
        `setExecutor` in interface `Service`

    - #### getInvoker

          public Invoker getInvoker()

      Specified by:
        `getInvoker` in interface `Service`

    - #### setInvoker

          public void setInvoker(Invoker invoker)

      Specified by:
        `setInvoker` in interface `Service`

    - #### getDataBinding

          public DataBinding getDataBinding()

      Specified by:
        `getDataBinding` in interface `Service`

    - #### setDataBinding

          public void setDataBinding(DataBinding dataBinding)

      Specified by:
        `setDataBinding` in interface `Service`

    - #### getEndpoints

          public Map<QName,Endpoint> getEndpoints()

      Specified by:
        `getEndpoints` in interface `Service`

    - #### setEndpoints

          public void setEndpoints(Map<QName,Endpoint> endpoints)

    - #### setProperties

          public void setProperties(Map<String,Object> properties)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ConcurrentHashMap<String,Object>`

Apache CXF